=== release 1.24.13 ===

2025-06-11 14:40:38 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.24.13

2025-01-29 20:21:39 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.12

=== release 1.24.12 ===

2025-01-29 20:12:29 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.24.12

2025-01-06 20:11:58 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.11

=== release 1.24.11 ===

2025-01-06 19:48:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.24.11

2024-09-13 14:37:10 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Re-added required: lines accidentally removed
	  Broke in e3f086c648171c3c993f5dd73e2d025480c3729e
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/3801
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8243>

2024-12-03 23:39:54 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.10

=== release 1.24.10 ===

2024-12-03 23:29:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.24.10

2024-10-30 20:40:12 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.9

=== release 1.24.9 ===

2024-10-30 20:33:30 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.24.9

2024-05-27 18:50:23 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Don't use fallback: kwarg for libva deps
	  This will cause a fallback even when the `va` option is `auto`, not
	  giving the user a chance to provide the dependency via the system, and
	  likely building this feature unnecessarily.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7760>

2024-09-19 12:12:53 +0200  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.8
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7549>

=== release 1.24.8 ===

2024-09-19 12:01:21 +0200  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.24.8

2024-08-21 12:33:28 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.7

=== release 1.24.7 ===

2024-08-21 12:25:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.24.7

2024-07-25 18:43:17 +0200  David Rosca <david.rosca@amd.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	  vaapi: Fix sps_max_dec_pic_buffering_minus1 value in h265 decoder
	  Fixes decoding SLPPLP_A_VIDYO_2 sample.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7298>

2024-07-29 16:48:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.6

=== release 1.24.6 ===

2024-07-29 16:41:37 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.24.6

2024-06-20 13:02:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.5

=== release 1.24.5 ===

2024-06-20 12:54:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.24.5

2024-05-29 13:51:27 +0300  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.4

=== release 1.24.4 ===

2024-05-29 13:44:50 +0300  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.24.4

2024-04-30 00:36:59 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.3
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6772>

=== release 1.24.3 ===

2024-04-30 00:15:23 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.24.3

2024-04-10 00:04:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.2

=== release 1.24.2 ===

2024-04-09 21:48:55 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.24.2

2024-03-22 01:38:06 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.24.1 ===

2024-03-21 21:47:53 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.24.1

2024-03-05 13:45:27 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6264>

=== release 1.24.0 ===

2024-03-04 23:51:42 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.24.0

2024-02-26 09:27:40 +0100  Edward Hervey <edward@centricular.com>

	* RELEASE:
	  docs: Use Discourse and Matrix as prefered communication channels
	  Part of: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6220

=== release 1.23.90 ===

2024-02-23 18:20:11 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.23.90

2024-02-16 12:14:35 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* tests/check/elements/vaapipostproc.c:
	  gstreamer-vaapi: tests: test vaapipostproc only if exists
	  Fix: #2491
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6129>

2024-02-15 16:38:53 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6126>

=== release 1.23.2 ===

2024-02-15 15:37:17 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.23.2

2024-02-06 18:09:02 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6066>

=== release 1.23.1 ===

2024-02-06 16:37:19 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.23.1

2024-01-28 11:15:01 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: bump Meson requirement to >= 1.1 for all modules
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6002>

2023-08-30 10:56:19 -0600  Scott Moreau <oreaus@gmail.com>

	* gst-libs/gst/vaapi/gstvaapiwindow_wayland.c:
	  gst-launch: accept option to set program name
	  The option --prog-name="PROGRAM-NAME" can be passed to set the program name.
	  The program name is used by gtk and gstreamer to set the class or app-id.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5263>

2023-11-15 16:55:06 -0500  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapi.c:
	  vaapi: add device env to plugin dependencies
	  In a multi-gpu system, each device may support different
	  features.
	  Add GST_VAAPI_DRM_DEVICE to plugin dependencies to ensure
	  registered features are re-evaluated according to user
	  specified device.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5675>

2023-09-05 12:46:52 +0200  Jochen Henneberg <jh@henneberg-systemdesign.com>

	* gst-libs/gst/vaapi/gstvaapidisplay_wayland.c:
	* gst-libs/gst/vaapi/gstvaapidisplay_wayland_priv.h:
	* gst-libs/gst/vaapi/gstvaapiwindow_wayland.c:
	  va: Lock wayland display dmabuf formats against concurrent access
	  If there are multiple Wayland event listeners in different threads we
	  get the formats and modifiers pushed concurrently which leads to
	  segfault from GArray methods. This patch protects the array.
	  The problem occurs e.g. when using vaapipostproc together with Qt
	  qmlglsink, QtWayland will get the events as well as VAAPI.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5280>

2022-04-27 17:03:31 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapi.c:
	* gst/vaapi/gstvaapidecode.c:
	  va/vaapi: promote va ranks and demote vaapi ones
	  VA decoders implementation has been verified from 1.18 through 1.22
	  development cycles and also via the Fluster test framework. Similar
	  to other cases, we can prefer hardware over software in most cases.
	  At the same time, GStreamer-VAAPI decoders are demoted to NONE to
	  avoid collisions. The first step to their deprecation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2312>

2023-07-20 11:02:14 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapidecode.c:
	  vaapi: delete the unused dma caps variable when ensuring src pad caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5078>

2023-07-05 18:46:25 -0600  Olivier Crête <olivier.crete@collabora.com>

	* scripts/gen-changelog.py:
	  gst-omx: Retire the whole package
	  The OpenMAX standard is long dead and even the Raspberry Pi OS
	  no longer supports it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4976>

2022-05-20 09:59:58 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	* gst/vaapi/gstvaapipostproc.c:
	  vaapidecode,vaapipostproc: Disable DMAbuf from caps negotiation
	  Given the amount of complains about artifacts when negotiating dmabuf
	  given incompatible drm-formats, and that there's no enough bandwidth
	  for a proper and quick fix in gstreamer-vaapi, this patch disables,
	  from decoders and postprocessor, the DMABuf caps feature.
	  For those who needs DMABuf can use the va elements in -bad, increasing
	  their ranking for autoplugging by using the environment variable
	  GST_PLUGIN_FEATURE_RANK=vah264dec:MAX, for example.
	  This can be considered a first step to the deprecation of
	  gstreamer-vaapi in favor of the va plugin in -bad.
	  Fixes: #1137
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5010>

2023-05-19 13:14:09 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecodebin.c:
	  vaapidecodebin: don't load vaapipostproc if not available
	  And remove the code for missing element since that element is part of the same
	  plugin, and if not available is because the driver doesn't provide it.
	  Fixes: #2580
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4678>

2023-06-07 15:43:43 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_av1.c:
	  vaapiav1dec: fix type conversion warning
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4781>

2023-03-07 14:05:54 +0100  Stéphane Cerveau <scerveau@igalia.com>

	* tests/meson.build:
	  gstreamer-full: add full static support
	  Allow a project to use gstreamer-full as a static library
	  and link to create a binary without dependencies.
	  Introduce the option 'gst-full-target-type' to
	  select the build type, dynamic(default) or static.
	  In gstreamer-full/static build configuration gstreamer (gst.c)
	  needs the symbol gst_init_static_plugins which is defined
	  in gstreamer-full.
	  All the tests and examples are linking with gstreamer but the
	  symbol gst_init_static_plugins is only defined in the gstreamer-full
	  library. gstreamer-full can not be built first as it needs to know what plugins
	  will be built.
	  One option would be to build all the examples and tests after
	  gstreamer-full as the tools.
	  Disable tools build in subprojects too as it will be built at the end of
	  build process.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4128>

2023-04-14 13:18:52 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Fix libdrm and vaapi configure checks
	  We do not need fallback: for libdrm checks because the wrap file
	  already has a [provide] section.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4428>

2023-03-15 18:56:55 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_vc1.c:
	* gst-libs/gst/vaapi/gstvaapidisplay_wayland.c:
	* gst-libs/gst/vaapi/gstvaapitexture_glx.c:
	* tests/internal/image.c:
	  gstreamer-vaapi: re-indent with GNU indent 2.2.12
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4182>

2023-02-14 14:32:56 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* tests/check/elements/vaapioverlay.c:
	* tests/internal/simple-encoder.c:
	  vaapi: Fix some code defects
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3954>

2023-02-09 10:42:00 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_av1.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_jpeg.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_mpeg2.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_mpeg4.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_vc1.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_vp8.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_vp9.c:
	  vaapidec: Fix uninitialized vars
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3918>

2023-01-24 19:16:47 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/vaapi/gstvaapicodedbuffer.c:
	* gst-libs/gst/vaapi/gstvaapicontext.c:
	* gst-libs/gst/vaapi/gstvaapidecoder.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_av1.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapiimage.c:
	* gst-libs/gst/vaapi/gstvaapiminiobject.c:
	* gst-libs/gst/vaapi/gstvaapisubpicture.c:
	* gst-libs/gst/vaapi/gstvaapisurface.c:
	* gst-libs/gst/vaapi/gstvaapitexture.c:
	* gst-libs/gst/vaapi/gstvaapiutils_core.c:
	* gst-libs/gst/vaapi/gstvaapiwindow_wayland.c:
	* gst/vaapi/gstvaapidecode.c:
	* gst/vaapi/gstvaapiencode.c:
	* gst/vaapi/gstvaapivideomemory.c:
	* gst/vaapi/gstvaapivideometa.c:
	* gst/vaapi/gstvaapivideometa_texture.c:
	* tests/internal/codec.c:
	* tests/internal/simple-decoder.c:
	* tests/internal/simple-encoder.c:
	* tests/internal/y4mreader.c:
	  gstreamer-vaapi: drop use of GSlice allocator
	  Some code incorrectly relied on GstVideoDecoder/Encoder base
	  class implementation details.
	  Follow-up to !3695.
	  Fixes #1742.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3783>

2023-01-24 02:52:49 +0000  Jan Alexander Steffens (heftig) <heftig@archlinux.org>

	* meson.build:
	  vaapi: Skip plugin pc file for shared plugins
	  Following similar logic in the other subprojects.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3778>

2023-01-23 23:04:53 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3775>

=== release 1.22.0 ===

